ProjectControllerGetAllProjects Method |
GET /Project/
Gets all the projects in the system.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Index")]
public IActionResult GetAllProjects(
GetEntryOptions options,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Index")>
Public Function GetAllProjects (
options As GetEntryOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ GetAllProjects(
GetEntryOptions options,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Index")>]
member GetAllProjects :
options : GetEntryOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.FileSystemGetEntryOptions
The options used when getting the projects. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult
An array of
ProjectData of the projects or a status code indicating the reason for failure.
See Also